Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Classes | Public Types | Public Member Functions | Public Attributes | List of all members
faiss::BufferList Struct Reference

`#include <AuxIndexStructures.h>`

Inheritance diagram for faiss::BufferList:

## Classes
struct | Buffer

## Public Types
typedef Index::idx_t | idx_t

## Public Member Functions
| BufferList (size_t buffer_size)
void | append_buffer ()
void | add (idx_t id, float dis)
void | copy_range (size_t ofs, size_t n, idx_t *dest_ids, float *dest_dis)

## Public Attributes
size_t | buffer_size
std::vector< Buffer > | buffers
size_t | wp
| write pointer in the last buffer.

## Detailed Description

List of temporary buffers used to store results before they are copied to the RangeSearchResult object.

Definition at line 99 of file AuxIndexStructures.h.

## Member Function Documentation

void faiss::BufferList::copy_range | ( | size_t | ofs,
|  | size_t | n,
|  | idx_t * | dest_ids,
|  | float * | dest_dis
| ) |  |

copy elemnts ofs:ofs+n-1 seen as linear data in the buffers to tables dest_ids, dest_dis

Definition at line 86 of file AuxIndexStructures.cpp.

The documentation for this struct was generated from the following files:

- /tmp/faiss/AuxIndexStructures.h
- /tmp/faiss/AuxIndexStructures.cpp